WordPress.org

Make WordPress Core

Opened 5 years ago

Last modified 5 months ago

#29408 new defect (bug)

Symlinked themes and plugins should not be updatable

Reported by: GregLone Owned by:
Milestone: Priority: normal
Severity: normal Version: 3.9
Component: Upgrade/Install Keywords:
Focuses: administration Cc:
PR Number:

Description

Hi.

Symlinked themes and plugins should not be updatable nor editable.
I don't know if I'm the only one it happens but every time I try to update a symlinked plugin, WP try to update it and... simply delete it >_< (yeah, I forget every time). I guess the problem is the same if I try to edit the plugin via the plugin editor.

Change History (2)

This ticket was mentioned in Slack in #core by jorbin. View the logs.


4 years ago

#2 @stevenkword
4 years ago

Rather than block updates all together, it would be more appropriate to fix the updating of plugins that are symlinked to prevent the deletion problem. The title of this ticket should be changed from "Symlinked themes and plugins should not be updatable" to Symlinked plugins should have a good update experience".

Consideration for plugins under version control should be taken into account. @SergeyBiryukov mention in slack that he believes we check for version control for background updates, but not for regular updates.

This ticket may also be of interest to @rmccue.

Last edited 4 years ago by stevenkword (previous) (diff)
Note: See TracTickets for help on using tickets.